#include<reg52.h>
unsigned int i,j;
void main()
{	
	while(1)    //while大循环语句，使内部循环体始终在反复运行
	{
		P1=~(1<<j++);  //下面有详细介绍
		if(j==8)  //如果j等于8，给j重新赋值，让j等于0
		{
			j=0;
		}
		for(i=0;i<50000;i++);  //延时
	}	
}